Invite a participant
post
/rest/ofscCollaboration/v1/chats/{chatId}/participants/invite
This operation invites a participant to an existing chat. The users can initiate a conference chat by inviting more users to an existing chat.
Request
Supported Media Types
- application/json
Path Parameters
-
chatId(required): integer
The unique identifier of the chat in Oracle Field Service.
Response
Supported Media Types
- application/json
204 Response
This section describes the 204 status response for this operation. This response code indicates that the operation completed successfully.
Default Response
This section describes the default error response for this operation.
Root Schema : Error
Type:
objectError response
Show Source
-
detail:
string
The detailed information about the error.
-
status:
string
The HTTP status code.
-
title:
string
The summary of the error message.
-
type:
string
The URL of the page containing the error details.
Examples
The following example shows how to invite a participant to an existing chat by submitting a POST request on the REST resource:
cURL command Example
The following shows an example of the cURL command.
curl -X POST "https://<instance_name>.fs.ocs.oraclecloud.com/rest/ofscCollaboration/v1/chats/1/participants/invite" -H "Accept: application/json" -H "Authorization: Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJSUzI1NiJ9...DBEwip6aZOp6sT1k3j-7WIlK6bbbLg" -H "Content-Type: application/json" -d "{\"login\" : \"smith\"}"Response Header Example
The following shows an example of the response header.
HTTP/1.1 204 No Content Server: nginx Date: Thu, 22 Apr 2019 16:28:18 GMT Content-Type: application/json; charset=utf-8 Connection: close